/***************************************************************************
 *   Copyright (C) 2007 by valter   *
 *   staroverovv@yandx.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef __DBFUNS_H__
#define __DBFUNS_H__
#include <qstring.h>
#include "str.h"
#include "var.h"
//===========================================================================
class CMessageEvent; class CMessageEventRequest;
//===========================================================================
int DBGetSensors(int *N, CSensor **s, QDialog *dlg);
int DBGetSensorsDebug(int *N, CSensor *s);
extern int (*FInitDBSensors)(const char *ConfigWD);
extern int (*FDBGetSensors)(int *N, CSensor **s);
int InitDBSensors(QString ConfigWD);
int InitDBSensorsDebug(QString ConfigWD);
//===========================================================================
extern int (*FInitDBEvents)(const char *ConfigWD);
extern int (*FDBGetEvents)(int *N, CMessageEvent **event, CMessageEventRequest *request);
extern int (*FDBDeleteEvent)(int ID);
int DBGetEventsDebug(int *N, CMessageEvent *event, CMessageEventRequest *request);
int DBGetEvents(int *N, CMessageEvent **event, CMessageEventRequest *request, QDialog *dlg);
int InitDBEvents(QString ConfigDir);
int InitDBEventsDebug(QString ConfigDir);
int DBDeleteEvent(int ID);
//===========================================================================
extern int (*FInitDBCommands)(const char *ConfigWD);
extern int (*FDBGetCommands)(int *N, CMessageCommand **Command, CMessageCommandRequest *request);
extern int (*FDBPutCommand)(CMessageCommand *c);
int DBGetCommandsDebug(int *N, CMessageCommand *event, CMessageCommandRequest *request);
int DBGetCommands(int *N, CMessageCommand **Command, CMessageCommandRequest *request, QDialog *dlg);
int InitDBCommands(QString ConfigDir);
int InitDBCommandsDebug(QString ConfigDir);
int DBPutCommand(CMessageCommand &c);
int DBDeleteCommand(int ID);
//===========================================================================
typedef int (*TFDBGetSensors)(int *N, CSensor **s);
typedef int (*TFInitDBSensors)(const char *ConfigWD);
typedef int (*TFInitDBEvents)(const char *ConfigWD);
typedef int (*TFDBGetEvents)(int *N, CMessageEvent **event, CMessageEventRequest *request);
typedef int (*TFInitDBCommands)(const char *ConfigWD);
typedef int (*TFDBGetCommands)(int *N, CMessageCommand **Command, CMessageCommandRequest *request);
typedef int (*TFDBPutCommand)(CMessageCommand *Command);
typedef int (*TFDBPutEvent)(CMessageEvent *event);
typedef int (*TFDBDeleteCommand)(int ID);
typedef int (*TFDBDeleteEvent)(int ID);
//==========================================================================
#endif


