/***************************************************************************
 *   Copyright (C) 2007 by valter   *
 *   staroverovv@yandx.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "w.h"
//==========================================================================
void CSensor::clean()
{
 SensorType=0;
 delete[] SensorID; SensorID=NULL; LSensorID=0;
 delete[] Description; Description=NULL; LDescription=0;
 delete[] SocketNameForCommands; SocketNameForCommands=NULL; LSocketNameForCommands=0;
//-- for KEEPALIVE:
 MessageType=0;
 EventTime=0;
}
//==========================================================================
CSensor &CSensor::operator=(const CSensor &b)
{
if(this==&b)return *this;
 SensorType=b.SensorType;
 CopyPtr(&SensorID,&LSensorID,b.SensorID,b.LSensorID);
 MessageType=b.MessageType;
 EventTime=b.EventTime;
 CopyPtr(&Description,&LDescription,b.Description,b.LDescription);
 CopyPtr(&SocketNameForCommands,&LSocketNameForCommands,b.SocketNameForCommands,b.LSocketNameForCommands);
return *this;
}
//==========================================================================
void CSensor::AllocateStrings()
{
 delete SensorID;SensorID=new char[LSensorID+1];
 delete Description;Description=new char[LDescription+1];
 delete SocketNameForCommands;SocketNameForCommands=new char[LSocketNameForCommands+1];
}
