/***************************************************************************
 *   Copyright (C) 2007 by valter   *
 *   staroverovv@yandx.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef CWD_SENSORSLIST_H
#define CWD_SENSORSLIST_H

#include <qlistbox.h>
#include "SensorsList.h"
#include "str.h"

class CWD_SensorsList: public Form1 {
Q_OBJECT
class QListBoxItem;
public:
    CWD_SensorsList(QWidget *parent = 0, const char *name = 0);
    ~CWD_SensorsList();
    int NSensors; CSensor *Sensor;
    void ResetData();
    QListViewItem *itemSelected;
    QPopupMenu *Menu0,*Menu1;
    int ColumnsVisibiliy[10];int NColumns;
    void SetColumnsVisibiliy(int c,int set);//-1=change
    void ResizeColumns();
    int ColumnTextWidth(int c);
    //---
    void resizeEvent ( QResizeEvent * sz); 
    //---
    virtual void Form1_destroyed(QObject*);
    virtual void reject();
public slots:
    virtual void onClose();
    virtual void FUpdateData();
    virtual void onRBList(QListViewItem *,const QPoint &pt,int );
    virtual void resize ( int w, int h );
protected slots:
    void CallEventsDialog();
    void CallCommandsDialog();
    void FStart();
    void FStop();
    void FKill();
    void FRestart();
    void FSetVisibilityC0();
    void FSetVisibilityC1();
    void FSetVisibilityC2();

};
//    virtual void onRBList(QListBoxItem* ,const QPoint&,int );

#endif
