/***************************************************************************
 *   Copyright (C) 2007 by valter   *
 *   staroverovv@yandx.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include <qlabel.h>
#include <qlistview.h> 
#include <qmessagebox.h> 

#include "w.h"
#include "cwd_eventslist.h"
#include "cwd_sensorslist.h"
#include "cwd_commandslist.h"
#include "wgrwidget.h"
void WAllocOutput();

wgrWidget::wgrWidget(QWidget* parent, const char* name, WFlags fl)
        : wgrWidgetBase(parent,name,fl)
{
 InitData();
//WAllocOutput();
}

wgrWidget::~wgrWidget()
{
//WAllocOutput();
}

/*$SPECIALIZATION$*/
void wgrWidget::button_clicked()
{
 /*   if ( label->text().isEmpty() )
    {
        label->setText( "Hello World!" );
    }
    else
    {
        label->clear();
    }*/
}

void wgrWidget::onSensorsList()
{
#ifdef DEBUG_OUT
printf("void wgrWidget::onSensorsList()\n");
#endif
CWD_SensorsList *sensors_list=new CWD_SensorsList(this, "Sensors list");
 sensors_list->show();
//
}

void wgrWidget::onSensorsTree()
{
QMessageBox::information(this,"","Not implemented yet");
}

void wgrWidget::onExit()
{
 //QMessageBox::information(this,"","FOnClose");
 if(QMessageBox::question(this,"???","Close program?",
    QMessageBox::Yes,QMessageBox::No)==QMessageBox::Yes)
    {
     //done(0);
     delete this;
    }
}

void wgrWidget::FUpdateData()
{
}

void wgrWidget::onEventsList()
{
CWD_EventsList *events_list=new CWD_EventsList(this, "Events list");
 events_list->show();
}

void wgrWidget::onCommandsList()
{
CWD_CommandsList *commands_list=new CWD_CommandsList(this, "Commands list");
 commands_list->show();
}








#include "wgrwidget.moc"

