//==========================================================================
void CMessageEvent::clean()
{
 MessageType=0;
 delete[] SensorID; SensorID=NULL; LSensorID=0;
 SensorType=0;
 delete[] EventName; EventName=NULL; LEventName=0;
 EventTime=0;
 MessageID=0;
 delete[] par;
 par=NULL;
 ParNum=0;
}
//==========================================================================
CMessageEvent &CMessageEvent::operator=(const CMessageEvent &b)
{int i;
if(this==&b)return *this;
 MessageType=b.MessageType;
 CopyPtr(&SensorID,&LSensorID,b.SensorID,b.LSensorID);
 SensorType=b.SensorType;
 CopyPtr(&EventName,&LEventName,b.EventName,b.LEventName);
 EventTime=b.EventTime;
 MessageID=b.MessageID;
 if(ParNum!=b.ParNum)
 {
  delete[] par; par=NULL;
  ParNum=b.ParNum;
  if(ParNum>0)
  {
   par=new CMessageEventParam[ParNum];
  }
 }
 for(i=0;i<ParNum;i++)
  par[i]=b.par[i];
return *this;
}
/*
 int MessageType;
 char *SensorID;
 int SensorType;
 char *EventName;
 time_t EventTime;
 int MessageID;//random number (?)
 int ParNum;
 CMessageParam *par;
*/
//==========================================================================
inline void CopyPtr(char **to, int *lto, char *from,int lfrom)
{
 delete[] *to; *to=NULL;*lto=0; 
 if(lfrom>0)
 {
  *lto=lfrom; *to=new char[lfrom]; memcpy(*to,from,lfrom);
 }
}
//==========================================================================
void CMessageEventRequest::clean()
{
 NMax=100; TakeFirst1_Last0=0;
 MessageType=0; UseMessageType=0;
 delete[] SensorID; SensorID=NULL; LSensorID=0; UseSensorID=0;
 SensorType=0; UseSensorType=0; 
 delete[] EventName; EventName=NULL; LEventName=0; UseEventName=0;
 EventTime0=0; UseEventTime0=0;
 EventTime1=0; UseEventTime1=0;
}
//==========================================================================
int CMessageEventRequest::operator&(CMessageEvent &ev)
{int rtn=1;
 if(UseMessageType && MessageType!=ev.MessageType)return 0;
 if(UseSensorID && WCompareNoCase(SensorID,ev.SensorID)!=0)return 0;
 if(UseSensorType && SensorType!=ev.SensorType)return 0;
 if(UseEventName && WCompareNoCase(EventName,ev.EventName)!=0)return 0;
 if(UseEventTime0 && ev.EventTime<EventTime0)return 0;
 if(UseEventTime1 && ev.EventTime>EventTime1)return 0;
return rtn;
}
//==========================================================================
CMessageEventRequest &CMessageEventRequest::operator=(const CMessageEventRequest &b)
{
if(this==&b)return *this;
 NMax=b.NMax; TakeFirst1_Last0=b.TakeFirst1_Last0;
 MessageType=b.MessageType; UseMessageType=b.UseMessageType;
 CopyPtr(&SensorID,&LSensorID,b.SensorID,b.LSensorID); UseSensorID=b.UseSensorID;
 SensorType=b.SensorType; UseSensorType=b.UseSensorType; 
 CopyPtr(&EventName,&LEventName,b.EventName,b.LEventName); UseEventName=b.UseEventName;
 EventTime0=b.EventTime0; UseEventTime0=b.UseEventTime0;
 EventTime1=b.EventTime1; UseEventTime1=b.UseEventTime1;
return *this;
}
//==========================================================================

