//==============================================================================
// search `?' for questions!!!!!!!!!!!
//==============================================================================
#include <stdio.h>
#include <string.h>
#include <time.h>
#include <ctype.h>
//#include "w.h"
#include "Def.hpp"
#include "DBLib.h"
//#include "qmessagebox.h" 
//========================================================================
#define DEBUG_OUTPUT
//========================================================================
char *GetConfigValue(char (*ss)[512],int &nss,const char *name);
int GetConfigBlock(FILE *f, char (*ss)[512],int &nss);
//==============================================================================
CSensor DSensor[100]; int NDSensors=0;
CMessageEvent DEvent[1000]; int NDEvents=0;
char ConfigDirDebug[512];
//==============================================================================
void CopyPtr(char **to, int *lto, char *from,int lfrom)
{
 delete[] *to; *to=NULL;*lto=0; 
 if(lfrom>0)
 {
  *lto=lfrom; *to=new char[lfrom]; memcpy(*to,from,lfrom);
 }
}
//==========================================================================
void CSensor::clean()
{
 SensorType=0;
 delete[] SensorID; SensorID=NULL; LSensorID=0;
 delete[] Description; Description=NULL; LDescription=0;
//-- for KEEPALIVE:
 MessageType=0;
 EventTime=0;
}
//==========================================================================
CSensor &CSensor::operator=(const CSensor &b)
{
 if(this==&b)return *this;
 SensorType=b.SensorType;
 CopyPtr(&SensorID,&LSensorID,b.SensorID,b.LSensorID);
 MessageType=b.MessageType;
 EventTime=b.EventTime;
 CopyPtr(&Description,&LDescription,b.Description,b.LDescription);
 return *this;
}
//==========================================================================
//==============================================================================
//extern int (*FDBGetSensors)(int *N, CSensor *s);
//extern int (*FInitDBSensors)(const char *ConfigWD);
//==========================================================================
int FInitDBSensors(const char* ConfigDir)
{int rtn=0,nss;char str[512],ss[20][512]; char *s=NULL,sf[512];
#ifdef DEBUG_OUTPUT
// printf("DLL:FInitDBSensors:1\n");
#endif
 NDSensors=0;
 sprintf(sf,"%s/DebugInitSensor.txt",ConfigDir);
 FILE *f=fopen(sf,"r");
 if(f)
 {
// printf("DLL:FInitDBSensors:2\n");
  while(GetConfigBlock(f, ss,nss))
  {
   s=GetConfigValue(ss,nss,"ID");
   if( s!=NULL && s[0]!='\0' )
   {
    //--
    DSensor[NDSensors].LSensorID=strlen(s)+1;
    DSensor[NDSensors].SensorID=new char[DSensor[NDSensors].LSensorID];
    strcpy(DSensor[NDSensors].SensorID,s);
    //--
    s=GetConfigValue(ss,nss,"Type");
    DSensor[NDSensors].SensorType=0;
    if( s!=NULL && s[0]!='\0' )
     sscanf(s,"%d",&DSensor[NDSensors].SensorType);
    //--
    s=GetConfigValue(ss,nss,"Description");
    if( s!=NULL && s[0]!='\0' )
    {
     DSensor[NDSensors].LDescription=strlen(s)+1;
     DSensor[NDSensors].Description=new char[DSensor[NDSensors].LDescription];
     strcpy(DSensor[NDSensors].Description,s);
    }
    //--
    s=GetConfigValue(ss,nss,"IsAlive");
    if( s!=NULL && s[0]!='\0' )
    {
     DSensor[NDSensors].MessageType=((strcasecmp(s,"yes")==0)?1:2);
    }
    //--
    NDSensors++;
   }
  }
  fclose(f);
 }
return rtn;
}
//==========================================================================
int FDBGetSensors(int *N, CSensor *s)
{int rtn=0;
 if(N==NULL)return -1;
 *N=NDSensors;
 if(s)
 {int i;
  for(i=0;i<NDSensors;i++)
   s[i]=DSensor[i];
 }
return rtn;
}
//==========================================================================
//=========================================================================
int GetConfigBlock(FILE *f, char (*ss)[512],int &nss)
{int SetInBlock=0,rtn=0;char str[512],*s;
 nss=0;
 while(fgets(str,512,f)!=NULL)
 {str[511]='\0';clear_string_end_with_bells(str);if(str[0]=='\0'||str[0]=='%')continue;
  if(str[0]=='{')
   SetInBlock=1;
  else if(str[0]=='}')
  {SetInBlock=0;rtn=1;break;}
  else
  {
   for(s=str;isspace(*s);s++);
   strcpy(ss[nss++],s);
  }
 }
return rtn;
}
//========================================================================
char *GetConfigValue(char (*ss)[512],int &nss,const char *name)
{static char s[512],sname[512],*s1,*s0; int i,l;
 s[0]='\0';
 strcpy(sname,name);strcat(sname,"=");
 l=strlen(sname);
 for(i=0;i<nss;i++)
  if(strncasecmp(sname,ss[i],l)==0)
   {strcpy(s,ss[i]+l);break;}
 if(strlen(s)>1 && s[0]=='"' && s[strlen(s)-1]=='"')
 {for(s1=s+1,s0=s;*s1!='\0';)*(s0++)=*(s1++);s0[-1]='\0';}
return s;
}
//=========================================================================

int FInitDBEvents(const char *ConfigDir)
{int rtn=0,nss;char str[512],ss[20][512],sf[512]; char *s;
strcpy(ConfigDirDebug,ConfigDir);
 NDEvents=0;
 sprintf(sf,"%s/DebugInitEvents.txt",ConfigDir);
 FILE *f=fopen(sf,"r");
 if(f)
 {
  while(GetConfigBlock(f, ss,nss))
  {
/*
 int MessageType;
 char *SensorID; int LSensorID;
 int SensorType;
 char *EventName; int LEventName;
 time_t EventTime;
 int MessageID;//random number (?)
 int ParNum;
 CMessageEventParam *par;*/
   s=GetConfigValue(ss,nss,"SENSOR_ID");
   if(s!=NULL && s[0]!='\0' )
   {
    //--
    DEvent[NDEvents].LSensorID=strlen(s)+1;
    DEvent[NDEvents].SensorID=new char[DEvent[NDEvents].LSensorID];
    strcpy(DEvent[NDEvents].SensorID,s);
    //--
    s=GetConfigValue(ss,nss,"SENSOR_TYPE");
    DEvent[NDEvents].SensorType=0;
    if(s!=NULL && s[0]!='\0' )
     sscanf(s,"%d",&DEvent[NDEvents].SensorType);
    //--
    s=GetConfigValue(ss,nss,"EVENT_NAME");
    DEvent[NDEvents].LEventName=strlen(s)+1;
    DEvent[NDEvents].EventName=new char[DEvent[NDEvents].LEventName];
    strcpy(DEvent[NDEvents].EventName,s);
    //--
    s=GetConfigValue(ss,nss,"EVENT_TIME");
    DEvent[NDEvents].EventTime=0;
    if(s!=NULL && s[0]!='\0' )
     sscanf(s,"%d",&DEvent[NDEvents].EventTime);
    //--
    NDEvents++;
   }
  }
  fclose(f);
 }
return rtn;
}
//==========================================================================
int FDBGetEvents(int *N, CMessageEvent *event, CMessageEventRequest *request)
{int rtn=0;
FInitDBEvents(ConfigDirDebug);
printf("(FDBGetEvents>>)N=%d\n",NDEvents);
 if(N==NULL)return -1;
 if(N)
 {
  *N=NDEvents;
 }
 if(event)
 {int i;
  for(i=NDEvents-1;i>=0;i--)
   event[i]=DEvent[i];
 }
return rtn;
}
//==========================================================================
//==========================================================================
void CMessageEvent::clean()
{
 MessageType=0;
 delete[] SensorID; SensorID=NULL; LSensorID=0;
 SensorType=0;
 delete[] EventName; EventName=NULL; LEventName=0;
 EventTime=0;
 MessageID=0;
 delete[] par;
 par=NULL;
 ParNum=0;
}
//==========================================================================
CMessageEvent &CMessageEvent::operator=(const CMessageEvent &b)
{int i;
if(this==&b)return *this;
 MessageType=b.MessageType;
 CopyPtr(&SensorID,&LSensorID,b.SensorID,b.LSensorID);
 SensorType=b.SensorType;
 CopyPtr(&EventName,&LEventName,b.EventName,b.LEventName);
 EventTime=b.EventTime;
 MessageID=b.MessageID;
 if(ParNum!=b.ParNum)
 {
  delete[] par; par=NULL;
  ParNum=b.ParNum;
  if(ParNum>0)
  {
   par=new CMessageEventParam[ParNum];
  }
 }
 for(i=0;i<ParNum;i++)
  par[i]=b.par[i];
return *this;
}
/*
 int MessageType;
 char *SensorID;
 int SensorType;
 char *EventName;
 time_t EventTime;
 int MessageID;//random number (?)
 int ParNum;
 CMessageParam *par;
*/
//==========================================================================
void CMessageEventRequest::clean()
{
 NMax=100; TakeFirst1_Last0=0;
 MessageType=0; UseMessageType=0;
 delete[] SensorID; SensorID=NULL; LSensorID=0; UseSensorID=0;
 SensorType=0; UseSensorType=0; 
 delete[] EventName; EventName=NULL; LEventName=0; UseEventName=0;
 EventTime0=0; UseEventTime0=0;
 EventTime1=0; UseEventTime1=0;
}
//==========================================================================
int CMessageEventRequest::operator&(CMessageEvent &ev)
{int rtn=1;
 if(UseMessageType && MessageType!=ev.MessageType)return 0;
 if(UseSensorID && strcasecmp(SensorID,ev.SensorID)!=0)return 0;
 if(UseSensorType && SensorType!=ev.SensorType)return 0;
 if(UseEventName && strcasecmp(EventName,ev.EventName)!=0)return 0;
 if(UseEventTime0 && ev.EventTime<EventTime0)return 0;
 if(UseEventTime1 && ev.EventTime>EventTime1)return 0;
return rtn;
}
//==========================================================================
CMessageEventRequest &CMessageEventRequest::operator=(const CMessageEventRequest &b)
{
if(this==&b)return *this;
 NMax=b.NMax; TakeFirst1_Last0=b.TakeFirst1_Last0;
 MessageType=b.MessageType; UseMessageType=b.UseMessageType;
 CopyPtr(&SensorID,&LSensorID,b.SensorID,b.LSensorID); UseSensorID=b.UseSensorID;
 SensorType=b.SensorType; UseSensorType=b.UseSensorType; 
 CopyPtr(&EventName,&LEventName,b.EventName,b.LEventName); UseEventName=b.UseEventName;
 EventTime0=b.EventTime0; UseEventTime0=b.UseEventTime0;
 EventTime1=b.EventTime1; UseEventTime1=b.UseEventTime1;
return *this;
}
//==========================================================================

