#ifndef __EXTLIBPROCS_H__
#define __EXTLIBPROCS_H__
#include <string.h>
//------------------------------------------------------------
//struct CSensor;
//int FDBGetSensors(int *N, CSensor *s);
//int FInitDBSensors(const char *ConfigWD);
//------------------------------------------------------------
struct CSensor
{//public:
//--
// CSensor(){memset(this,0,sizeof(*this));}
// ~CSensor(){clean();}
//---
// void clean();
// CSensor &operator=(const CSensor &b);
//--
 int SensorType;
 char *SensorID; int LSensorID;
 char *Description; int LDescription;
//-- for KEEPALIVE:
 int MessageType;//1)IsAlive; 2)IsDead
 time_t EventTime;
//--
};	 
//------------------------------------------------------------
void clear_string_end_sb(char *str,char **sb);
//------------------------------------------------------------
struct CMessageEventParam
{//public:
 //--
// CMessageEventParam(){memset(this,0,sizeof(*this));}
// ~CMessageEventParam(){clean();}
 //--
// void clean();
// CMessageEventParam &operator=(const CMessageEventParam &b);
 //--
 int Type;//text: 1)int; 2)double; 3)text
 char *Name;int LName;//0-terminated
 char *Val; int LVal;
 //--
};
//==========================================================================
struct CMessageEvent
{//public:
 //---
// CMessageEvent(){memset(this,0,sizeof(*this));}
// ~CMessageEvent(){clean();}
//---
// void clean();
// CMessageEvent &operator=(const CMessageEvent &b);
//---
 int MessageType;
 char *SensorID; int LSensorID;
 int MessageID;//internal value for DB; is defined when record is created
 int SensorType;
 char *EventName; int LEventName;
 time_t EventTime;
// int MessageID;//random number (?)
 int ParNum;
 struct CMessageEventParam *par;
//---
};
//==========================================================================
struct CMessageEventRequest
{//public:
//--
// CMessageEventRequest(){memset(this,0,sizeof(*this));}
// ~CMessageEventRequest(){clean();}
//--
// void clean();
// CMessageEventRequest &operator=(const CMessageEventRequest &b);
// int operator&(CMessageEvent &ev);
//--
 int NMax;int TakeFirst1_Last0;
 int MessageID0,MessageID1; int UseMessageID0,UseMessageID1; 
 int MessageType; int UseMessageType;
 char *SensorID; int LSensorID; int UseSensorID;
 int SensorType; int UseSensorType; 
 char *EventName; int LEventName; int UseEventName;
 time_t EventTime0; int UseEventTime0;
 time_t EventTime1; int UseEventTime1;
//--
};
//==========================================================================
struct CMessageKeepAlive
{//public:
//--
// CMessageKeepAlive(){memset(this,0,sizeof(*this));}
// CMessageKeepAlive &operator=(const CMessageKeepAlive &b);
//~CMessageKeepAlive(){clean();}
//--
// void clean();
//--
 int MessageType;
 char *SensorID; int LSensorID;
 int SensorType; 
 time_t EventTime;
//-
};
//==========================================================================
struct CMessageCommand
{//public:
//---
// CMessageCommand(){memset(this,0,sizeof(*this));}
// ~CMessageCommand(){clean();}
//---
// void clean();
// CMessageCommand &operator=(const CMessageCommand &b);
//---
 int MessageType;
 char *SensorID; int LSensorID;
 int CommandID;
 int CommandType;
 time_t EventTime;
 int ParNum;
 struct CMessageEventParam *par;
//---
};
//==========================================================================
#endif
