#include <stdio.h>
#include <stdlib.h>
#include <dlfcn.h>
#include <malloc.h>
#include "DBLib.h"
/*
//------------------------------------------------------------
*/
#define DefFun(tff,ff,sff) ff=(tff)dlsym(LibHandle,sff); \
    if(ff==NULL){char str[512]; sprintf(str,"Can't load function %s()",sff); printf("%s\n",str); return NULL;}


typedef int (*TFDBGetSensors)(int *N, struct CSensor *s);
typedef int (*TFInitDBSensors)(char *ConfigWD);
int (*FDBGetSensors)(int *N, struct CSensor *s)=NULL;
int (*FInitDBSensors)(char *ConfigWD)=NULL;

void *LoadExtFuns()
{
 void *LibHandle=dlopen("./DBLib.a", RTLD_LAZY);
 if(LibHandle==NULL){printf("Can't open library\n");return (0);}
printf("Load funs: start\n");
  DefFun(TFDBGetSensors,FDBGetSensors,"FDBGetSensors")
  DefFun(TFInitDBSensors,FInitDBSensors,"FInitDBSensors")
printf("Load funs: OK\n");
return LibHandle;
}
//------------------------------------------------------------
int main()
{int i,NS=0; static struct CSensor SS[100];
 void *LibHandle=LoadExtFuns();
 FInitDBSensors("../Config");
 FDBGetSensors(&NS,NULL);
 printf("Sensors number=%d\n",NS);
 FDBGetSensors(&NS,SS);
 for(i=0;i<NS;i++)printf("SS[%d].ID=%s\n",i,SS[i].SensorID);
 if(LibHandle!=NULL)
  dlclose(LibHandle);
return 0;
}
