/***************************************************************************
 *   Copyright (C) 2007 by valter   *
 *   staroverovv@yandx.ru   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "w.h"
//==========================================================================
CSensor DSensor[100]; int NDSensors=0;
CMessageEvent DEvent[1000]; int NDEvents=0;
CMessageCommand DCommand[1000]; int NDCommands=0;
//ID=
//Description=
//Type=
//==========================================================================
int InitDBSensorsDebug(QString ConfigDir)
{int rtn=0,nss;char ss[20][512]; QString s;
 NDSensors=0;
 FILE *f=fopen(ConfigDir+"/DebugInitSensor.txt","r");
 if(f)
 {
  while(GetConfigBlock(f, ss,nss))
  {
   s=GetConfigValue(ss,nss,"ID");
   if( (!s.isNull()) && (!s.isEmpty()) )
   {
    //--
    DSensor[NDSensors].LSensorID=s.length()+1;
    DSensor[NDSensors].SensorID=new char[DSensor[NDSensors].LSensorID];
    strcpy(DSensor[NDSensors].SensorID,s.ascii());
    //--
    s=GetConfigValue(ss,nss,"Type");
    DSensor[NDSensors].SensorType=0;
    if( (!s.isNull()) && (!s.isEmpty()) )
     DSensor[NDSensors].SensorType=s.toInt();
    //--
    s=GetConfigValue(ss,nss,"Description");
    if( (!s.isNull()) && (!s.isEmpty()) )
    {
     DSensor[NDSensors].LDescription=s.length()+1;
     DSensor[NDSensors].Description=new char[DSensor[NDSensors].LDescription];
     strcpy(DSensor[NDSensors].Description,s.ascii());
    }
    //--
    s=GetConfigValue(ss,nss,"IsAlive");
    if( (!s.isNull()) && (!s.isEmpty()) )
    {
     DSensor[NDSensors].MessageType=((s=="yes"||s=="Yes"||s=="YES")?1:2);
    }
    //--
    NDSensors++;
   }
  }
  fclose(f);
 }
return rtn;
}
//==========================================================================
int DBGetSensorsDebug(int *N, CSensor *s)
{int rtn=0;
 if(N==NULL)return -1;
 *N=NDSensors;
 if(s)
 {int i;
  for(i=0;i<NDSensors;i++)
   s[i]=DSensor[i];
 }
return rtn;
}
//==========================================================================
QString ConfigDirDebug="";

int InitDBEventsDebug(QString ConfigDir)
{int rtn=0,nss;char ss[20][512]; QString s;
ConfigDirDebug=ConfigDir;
 NDEvents=0;
 FILE *f=fopen(ConfigDir+"/DebugInitEvents.txt","r");
 if(f)
 {
  while(GetConfigBlock(f, ss,nss))
  {
/*
 int MessageType;
 char *SensorID; int LSensorID;
 int SensorType;
 char *EventName; int LEventName;
 time_t EventTime;
 int MessageID;//random number (?)
 int ParNum;
 CMessageEventParam *par;*/
   s=GetConfigValue(ss,nss,"SENSOR_ID");
   if( (!s.isNull()) && (!s.isEmpty()) )
   {
    //--
    DEvent[NDEvents].LSensorID=s.length()+1;
    DEvent[NDEvents].SensorID=new char[DEvent[NDEvents].LSensorID];
    strcpy(DEvent[NDEvents].SensorID,s.ascii());
    //--
    s=GetConfigValue(ss,nss,"SENSOR_TYPE");
    DEvent[NDEvents].SensorType=0;
    if( (!s.isNull()) && (!s.isEmpty()) )
     DEvent[NDEvents].SensorType=s.toInt();
    //--
    s=GetConfigValue(ss,nss,"EVENT_NAME");
    DEvent[NDEvents].LEventName=s.length()+1;
    DEvent[NDEvents].EventName=new char[DEvent[NDEvents].LEventName];
    strcpy(DEvent[NDEvents].EventName,s.ascii());
    //--
    s=GetConfigValue(ss,nss,"EVENT_TIME");
    DEvent[NDEvents].EventTime=0;
    if( (!s.isNull()) && (!s.isEmpty()) )
     DEvent[NDEvents].EventTime=s.toInt();
    //--
    NDEvents++;
   }
  }
  fclose(f);
 }
return rtn;
}
//==========================================================================
int InitDBCommandsDebug(QString ConfigDir)
{int rtn=0,nss;char ss[20][512]; QString s;
ConfigDirDebug=ConfigDir;
 NDCommands=0;
 FILE *f=fopen(ConfigDir+"/DebugInitCommands.txt","r");
 if(f)
 {
  while(GetConfigBlock(f, ss,nss))
  {
/*
 int MessageType;
 char *SensorID; int LSensorID;
 int CommandID;
 int CommandType;
 time_t EventTime;
 int ParNum;
 CMessageEventParam *par;*/
   s=GetConfigValue(ss,nss,"SENSOR_ID");
   if( (!s.isNull()) && (!s.isEmpty()) )
   {
    //--
    DCommand[NDCommands].LSensorID=s.length()+1;
    DCommand[NDCommands].SensorID=new char[DCommand[NDCommands].LSensorID];
    strcpy(DCommand[NDCommands].SensorID,s.ascii());
    //--
    s=GetConfigValue(ss,nss,"COMMAND_TYPE");
    DCommand[NDCommands].CommandType=0;
    if( (!s.isNull()) && (!s.isEmpty()) )
     DCommand[NDCommands].CommandType=s.toInt();
    //--
    s=GetConfigValue(ss,nss,"COMMAND_ID");
    DCommand[NDCommands].CommandID=0;
    if( (!s.isNull()) && (!s.isEmpty()) )
     DCommand[NDCommands].CommandID=s.toInt();
    //--
    s=GetConfigValue(ss,nss,"COMMAND_TIME");
    DCommand[NDCommands].CommandTime=0;
    if( (!s.isNull()) && (!s.isEmpty()) )
     DCommand[NDCommands].CommandTime=s.toInt();
    //--
    NDCommands++;
   }
  }
  fclose(f);
 }
return rtn;
}
//==========================================================================
int DBGetEventsDebug(int *N, CMessageEvent *event, CMessageEventRequest *request)
{int rtn=0;
InitDBEventsDebug(ConfigDirDebug);
 if(N==NULL)return -1;
 if(N)
 {
  *N=NDEvents;
 }
 if(event)
 {int i;
  for(i=NDEvents-1;i>=0;i--)
   event[i]=DEvent[i];
 }
return rtn;
}
//==========================================================================
int DBGetCommandsDebug(int *N, CMessageCommand *Command, CMessageCommandRequest *request)
{int rtn=0;
InitDBCommandsDebug(ConfigDirDebug);
 if(N==NULL)return -1;
 if(N)
 {
  *N=NDCommands;
 }
 if(Command)
 {int i;
  for(i=NDCommands-1;i>=0;i--)
   Command[i]=DCommand[i];
 }
return rtn;
}
//==========================================================================
