#ifndef __DEF_HPP__
#define __DEF_HPP__
#define PI 3.141592653589793238462643383279502884197169399375105820974944592308
#define PIf 3.141592653589793238462643383279502884197169399375105820974944592308f
#define FOR(i,i0,i1) for((i)=i0;(i)<=(i1);(i)++)
//------------------------------------------
inline float  fgt0(float  x){return (x>1.e-25f?x:1.e-25f);}
inline double fgt0(double x){return (x>1.e-25f?x:1.e-25f);}
inline int fnot0(int x){return (x==0?1:x);}
inline long fnot0(long x){return (x==0?1:x);}
inline unsigned int fnot0(unsigned int x){return (x==0?1:x);}
inline unsigned long fnot0(unsigned long x){return (x==0?1:x);}
inline float  fnot0(float  x){return (x>1.e-25f||x<-1.e-25f?x:x>=0?1.e-25f:-1.e-25f);}
inline double fnot0(double x){return (x>1.e-25f||x<-1.e-25f?x:x>=0?1.e-25f:-1.e-25f);}
inline void *wnew(int n){return (void*) new char[n];}
//------------------------------------------
inline void clear_string_end(char *s)
{while(*s){if(*s=='\n'){*s='\0';break;}; s++;}}
inline int clear_string_end_with_bells(char *str)
{char *s;if(str==NULL)return(0);
 if((s=strchr(str,'\n'))!=NULL) *s='\0';
 if(s==NULL)s=str+strlen(str); if(s==NULL)return(0);
 while(s>str && s[-1]==' ') *(--s)='\0';
        return(s!=str);
} 
//------------------------------------------
inline void ADD_PTR(void **&ptr, int &n)
  {int i,id;
   //if(n==0 && ptr!=NULL) throw 0;
   n++;
   for(i=0,id=1;i<30;i++,id*=2)
    {
      //if(id<=0) throw 0;
      if( n<id ) goto l1;
      if( n==id )
       {
        void **tmp;
        tmp = (void**)wnew(sizeof(void*)*(n*2)); //if(tmp==NULL) throw 0;
        if(n>1) memcpy(tmp,ptr, (n-1)*sizeof(void*));
        if(ptr) delete ptr; ptr=tmp;
        goto l1; 
       }
    }
   //throw 0;
l1:;
  }
//------------------------------------------
inline void ADD_PTRL(void **&ptr, long &n)
  {long i,id;
   //if(n==0 && ptr!=NULL) throw 0;
   n++;
   for(i=0,id=1;i<30;i++,id*=2)
    {
      //if(id<=0) throw 0;
      if( n<id ) goto l1;
      if( n==id )
       {
        void **tmp;
        tmp = (void**)wnew(sizeof(void*)*(n*2)); //if(tmp==NULL) throw 0;
        if(n>1) memcpy(tmp,ptr, (n-1)*sizeof(void*));
        if(ptr) delete ptr; ptr=tmp;
        goto l1; 
       }
    }
   //throw 0;
l1:;
  }
//------------------------------------------
inline void ADD_ARRAY(void *&ptr, int &n, int size)
  {int i,id;
   //if(n==0 && ptr!=NULL) throw 0;
   n++;
   for(i=0,id=1;i<30;i++,id*=2)
    {
      //if(id<=0) throw 0;
      if( n<id ) goto l1;
      if( n==id )
       {
        void *tmp;
        tmp = (void*)wnew((n*2*size)); //if(tmp==NULL) throw 0;
        if(n>1) memcpy(tmp,ptr, (n-1)*size);
        if(ptr) delete (char*)ptr; ptr=tmp;
        goto l1; 
       }
    }
   //throw 0;
l1:;
  }
//------------------------------------------
inline void ADD_ARRAYL(void *&ptr, long &n, int size)
  {long i,id;
   //if(n==0 && ptr!=NULL) throw 0;
   n++;
   for(i=0,id=1;i<30;i++,id*=2)
    {
      //if(id<=0) throw 0;
      if( n<id ) goto l1;
      if( n==id )
       {
        void *tmp;
        tmp = (void*)wnew(n*2*size); //if(tmp==NULL) throw 0;
        if(n>1) memcpy(tmp,ptr, (n-1)*size);
        if(ptr) delete (char*)ptr; ptr=tmp;
        goto l1; 
       }
    }
   //throw 0;
l1:;
  }
//------------------------------------------
#ifndef ABS
#define ABS(x) ((x)>=0?(x):-(x))
#endif
#define SIGN(x) ((x)>=0?(1):-(1))
inline  int float_eq(double x,double y){ if(ABS(x-y) <= (ABS(x)+ABS(y))*1.e-5) return(1); else return(0);}
inline  int double_eq(double x,double y){ if(ABS(x-y) <= (ABS(x)+ABS(y))*1.e-10) return(1); else return(0);}
inline void swap(long &i0,long &i1){static long i;i=i0;i0=i1;i1=i;}
inline void swap(float &i0,float &i1){static float i;i=i0;i0=i1;i1=i;}
inline void swap(int &i0,int &i1){static int i;i=i0;i0=i1;i1=i;}
#define SWAP(x,y,z) {(z)=(x);(x)=(y);(y)=(z);}
inline int Round(float x){if(x>=0) return (int)(x+0.5f); else return (int)(x-0.5f);}
//------------------------------------
class AutoSet
{public:
int *set;
 AutoSet(){set=NULL;}
 ~AutoSet(){if(set)*set=0;}
 int &operator()(){return *set;}
 void Set(int &x){set=&x; *set=1;}
};
class AutoSetM
{public:
int *set;
 AutoSetM(){set=NULL;}
 ~AutoSetM(){if(set)(*set)--;}
 int &operator()(){return *set;}
 void Set(int &x){set=&x; (*set)++;}
};
//------------------------------------
template <class Type> class AutoFree
{
 public:
  AutoFree():ptr(NULL){};
  AutoFree(Type *p):ptr(p){};
  ~AutoFree()
   {
    if(ptr)
     {
      delete [] ptr;
      ptr=NULL;
     };
   };
  void own(Type *p)
   {
    ptr=p;
   };
 private:
  Type *ptr;
};
//------------------------------------
template <class Type> class AAutoFree
{
 public:
  AAutoFree():ptr(NULL){};
  AAutoFree(Type *&p){ptr=&p;};
  ~AAutoFree()
   {
    if(ptr&&*ptr)
     {
      delete [] (*ptr);
      ptr=NULL;
     };
   };
  void own(Type *&p)
   {
    ptr=&p;
   };
 private:
  Type **ptr;
};
//------------------------------------
char **allocate_2D_Array(int m,int n, int size_of_element,int set_clear=0);
char **allocate_2D_Array_with_frame(int m,int n, int size_of_element,int set_clear=0);
char ***allocate_3D_Array(int m,int n, int **k, int size_of_element,int set_clear=0);
char ***allocate_3D_Array(int m,int n, int k, int size_of_element,int set_clear=0);
//------------------------------------
#ifndef MAX
#define MAX(x,y) ((x)>(y)?(x):(y))
#define MIN(x,y) ((x)<(y)?(x):(y))
#endif
#ifndef MAX3
#define MAX3(x,y,z) ( (x)>(y)? ((x)>(z)?(x):(z)) : ((y)>(z)?(y):(z)) )
#define MIN3(x,y,z) ( (x)<(y)? ((x)<(z)?(x):(z)) : ((y)<(z)?(y):(z)) )
#define MAX4(x,y,z,w) ( (x)>(y)? ((z)>(w)?MAX(x,z):MAX(x,w)) : ((z)>(w)?MAX(y,z):MAX(y,w)) )
#define MIN4(x,y,z,w) ( (x)<(y)? ((z)<(w)?MIN(x,z):MIN(x,w)) : ((z)<(w)?MIN(y,z):MIN(y,w)) )
#endif
inline int RoundNot0(float x){if(x<0.00001f && x>-0.00001f)return 0; if(x>=0) return MAX(1,(int)(x+0.5f)); else return MIN(-1,(int)(x-0.5f));}
//------------------------------------
class CWTViewSet1
{public:
 int *set;
 CWTViewSet1(int *set){this->set=set; *set=1;}
 ~CWTViewSet1(){*set=0;}
} ;
//------------------------------------
inline void PrepareStr0(char *s,int l)
{
 for(int i=0;i<l;i++)s[i]=-1;
}
inline void CleanStr0(char *s,int l)
{int i;
 for(i=0;i<l;i++)if(s[i]==0)s[i]=' ';
 for(i=0;i<l;i++)if(s[i]==-1)s[i]=0;
}
inline char *fgetsPrepareClean0(char *s,int l,FILE *f)
{char *ss;
 PrepareStr0(s,l);
 if((ss=fgets(s,l,f))==NULL)return NULL;
 CleanStr0(s,l);
 clear_string_end_with_bells(s);
 return ss;
}
//------------------------------------
class FOpenClose;
class AutoFClose
{public:
 FILE *f;
 FOpenClose *FCloseMember;
 AutoFClose(FILE *f){this->f=f;FCloseMember=NULL;}
 AutoFClose(FILE *f,FOpenClose *FCloseMember){this->f=f;this->FCloseMember=FCloseMember;}
 void fclose();
 ~AutoFClose();//{if(f)fclose(f);}
};
//------------------------------------
inline int isspacer(unsigned char c){if(c==' '||c==9)return(1); else return(0);}
inline int isdigitr(unsigned char c){if(c>='0' && c<='9')return(1); else return(0);}
//------------------------------------
extern int N_WDEBUG_NEW;
#define WDEBUG_NEW new(THIS_FILE, N_WDEBUG_NEW++)
#define NCollectorDataMax 100
//------------------------------------
#define SET_INDEX(CClass, ptr, index, index_max) \
 if((index)>=index_max)\
 {\
  CClass *ptr2=new CClass[(index)*2+10];\
  if(ptr)\
   for(int i12387=0;i12387<(index_max);i12387++)ptr2[i12387]=(ptr)[i12387];\
  index_max=2*(index)+9;\
  delete[] (ptr);\
  ptr=ptr2;\
 }
//------------------------------------
#define SET_INDEX2(CClass, ptr, index, index_max) \
 if((index)>=index_max)\
 {\
  CClass *ptr2=new CClass[(index)*2+10];\
  if(ptr)\
  for(int i43253=0;i43253<(index_max);i43253++){ptr2[i43253][0]=ptr[i43253][0];ptr2[i43253][1]=ptr[i43253][1];}\
  index_max=2*(index)+9;\
  delete[] ptr;\
  ptr=ptr2;\
 }
//------------------------------------
inline int LinesNumber(const char *sf)
{char str[1024];int n=0;if(sf && sf[0]){FILE *f=fopen(sf,"r"); if(f){while(fgets(str,1023,f))n++; fclose(f);}}return n;}
//#include "output.h"
//------------------------------------
template<class TYPE> TYPE QFindStat(TYPE *A,int p,int q,int k)
{int l,i,j;TYPE x,Atmp; 
 if(q-p<1) return A[p];
 i=p; j=q; l=p+(rand())%(q-p);  SWAP(A[p],A[l],Atmp);  x=A[i];
 for(;;)
 {
    while(A[i]<x)i++;  while(A[j]>x)j--;
    if(i<j){SWAP(A[i],A[j],Atmp);}
    else 
      {if(k<=j)
        return QFindStat (A, p, j, k );
        else return QFindStat (A, j+1, q, k ) ;
      }
    i++; j--;
 }
}

template<class TYPE>TYPE QFindStat(TYPE *A,int k,int N)
{ if(k<0)k=0; if(k>=N)k=N-1; return   QFindStat(A,0,N-1,k);}
//------------------------------------
#define FIRST_TIME static FirstTime___=1; FirstTime___--; if(FirstTime___==0)
//------------------------------------
template<class CType> CType **Allocate2DArray(int m,int n)
{CType **p=NULL;CType *p2=NULL; 
 p=new CType*[(m+1)];
 p2=new CType[(m+1)*n];
        p[0]=p2;
        for(int i=1;i<m;i++)
        {
                p[i]=p[i-1]+n;
        }
return p;
}
//------------
template<class CType> void Delete2DArray(CType **v)
{
 if(v)
 {
  delete[] v[0]; delete[] v;
 }
}
//------------------------------------
#define MB(xxx) QMessageBox::information(this,"",xxx);
#define MB_(xxx) QMessageBox::information(NULL,"",xxx);
#define MB1(xxx,yyy) {QString s; s.sprintf(xxx,yyy);QMessageBox::information(this,"",s);}
#define MB1_(xxx,yyy) {QString s; s.sprintf(xxx,yyy);QMessageBox::information(NULL,"",s);}
//------------------------------------
inline int FileExists(const char*sf){FILE *f=fopen(sf,"r"); if(f){fclose(f);return 1;} return 0;}
//------------------------------------
//------------------------------------
#endif

